## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  com.github.tchx84.Flatseal

Name:           flatseal
Version:        2.1.1
Release:        %autorelease
Summary:        Manage Flatpak permissions

License:        GPL-3.0-or-later
URL:            https://github.com/tchx84/Flatseal
Source:         %{url}/archive/v%{version}/Flatseal-%{version}.tar.gz
# Fix errors with AppStream 1.0 (rhbz#2251558)
Patch:          %{url}/pull/617.patch

BuildRequires:  gettext
BuildRequires:  gjs
BuildRequires:  pkgconfig(libadwaita-1) >= 1.4
BuildRequires:  pkgconfig(webkitgtk-6.0) >= 2.40
BuildRequires:  meson >= 0.59.0
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       gjs
# loaded by imports.gi
Requires:       appstream
Requires:       gtk4
Requires:       libadwaita >= 1.4
Requires:       webkitgtk6.0 >= 2.40

BuildArch:      noarch

%description
Flatseal is a graphical utility to review and modify permissions from your
Flatpak applications.


%prep
%autosetup -n Flatseal-%{version} -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{app_id}.appdata.xml


%files -f %{name}.lang
%license COPYING
%doc CHANGELOG.md DOCUMENTATION.md README.md
%{_bindir}/%{app_id}
%{_datadir}/%{name}
%{_datadir}/appdata/%{app_id}.appdata.xml
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/glib-2.0/schemas/%{app_id}*
%{_datadir}/icons/hicolor/*/*/%{app_id}*


%changelog
## START: Generated by rpmautospec
* Wed Feb 07 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.1-1
- Update to 2.1.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 21 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.0-5
- Add explicit gjs dependency

* Sun Nov 26 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.0-4
- Fix errors with AppStream 1.0

* Sun Nov 26 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.0-3
- Update dependencies

* Fri Sep 29 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.0-1
- 2.1.0

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 09 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.0.2-1
- Update to 2.0.2

* Fri May 05 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.0.1-1
- 2.0.1

* Fri Apr 28 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.0.0-1
- Update to 2.0.0

* Sun Jan 22 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.8.1-1
- Initial build

## END: Generated by rpmautospec
